Bug 462248 - Debug Kernel - NMI Watchdog detected LOCKUP
Debug Kernel - NMI Watchdog detected LOCKUP
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Aristeu Rozanski
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-14 15:54 EDT by CAI Qian
Modified: 2009-09-02 04:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output with the lockdep bug (92.69 KB, text/plain)
2008-11-26 10:44 EST, Aristeu Rozanski
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1243 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.4 kernel security and bug fix update 2009-09-01 04:53:34 EDT

  None (edit)
Description CAI Qian 2008-09-14 15:54:35 EDT
Description of problem:
Debug Kernel could not boot on hp-dl785g5-01.rhts.bos.redhat.com. Normal Kernel was fine.

http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=4297669

INIT: version 2.86 booting
		Welcome to Red Hat Enterprise Linux Server
		Press 'I' to enter interactive startup.
Setting clock  (utc): Sun Sep 14 07:49:52 EDT 2008 [  OK  ]
Starting udev: BUG: spinlock lockup on CPU#19, udev_run_hotplu/3672, ffff8118481a2680 (Not tainted)
NMI Watchdog detected LOCKUP on CPU 10
CPU 10 
Modules linked in: shpchp pcspkr ide_cd cdrom serio_raw dm_snapshot dm_zero dm_mirror dm_mod cciss sd_mod scsi_mod ext3 jbd uhci_hcd ohci_hcd ehci_hcd
Pid: 3791, comm: udev_run_devd Not tainted 2.6.18-98.el5debug #1
RIP: 0010:[<ffffffff8006738e>]  [<ffffffff8006738e>] .text.lock.mutex+0x36/0x4e
RSP: 0018:ffff81202f32b908  EFLAGS: 00000086
RAX: 00000000000009da RBX: 0000000000000000 RCX: ffff81103002c158
RDX: ffff81202f5221c0 RSI: 00000000000000cf RDI: ffffffff802a2584
RBP: ffff81103002c158 R08: ffff81202f32b8f8 R09: 0000000000000000
R10: ffff81202f32b958 R11: 0000000000000048 R12: 0000000000000246
R13: ffff81103002c158 R14: ffff81202f5221c0 R15: ffffffff8000d4bf
FS:  00002b431c7ea710(0000) GS:ffff810848381300(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00002b431c3ab0b4 CR3: 0000000c2ecde000 CR4: 00000000000006e0
Process udev_run_devd (pid: 3791, threadinfo ffff81202f32a000, task ffff81202f5221c0)
Stack:  ffff812000000001 000000008000aa4f ffff81084801ade0 0000000000000101
 ffff81143002e138 ffff81103002c068 ffff81202f9b5bc8 0000000400100000
 ffff81202f32bb28 0000000000000000 ffff81183002b070 ffff81103002c068
Call Trace:
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8000a2e5>] __link_path_walk+0xa1d/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff80131498>] selinux_inode_follow_link+0x5f/0x6a
 [<ffffffff800448cc>] vfs_follow_link+0x171/0x1d0
 [<ffffffff801085c1>] proc_self_follow_link+0x35/0x3f
 [<ffffffff80009de6>] __link_path_walk+0x51e/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000bc5b>] touch_atime+0x67/0xaa
 [<ffffffff8000a5e5>] __link_path_walk+0xd1d/0xf62
 [<ffffffff8000d6b7>] file_read_actor+0x0/0x169
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000d2b2>] do_path_lookup+0x274/0x2eb
 [<ffffffff80024a44>] __path_lookup_intent_open+0x56/0x96
 [<ffffffff8001b9e1>] open_namei+0x73/0x6dd
 [<ffffffff80028979>] do_filp_open+0x1c/0x38
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8001a6b7>] do_sys_open+0x44/0xbe
 [<ffffffff80060116>] system_call+0x7e/0x83


Code: 83 7d 08 00 7e f8 e9 b3 fd ff ff f3 90 83 7d 08 00 7e f8 e9 
Kernel panic - not syncing: nmi watchdog
  [<ffffffff800079e4>] _raw_spin_lock+0xcd/0xeb
 [<ffffffff8006848f>] _spin_lock+0x47/0x52
 [<ffffffff8008f29c>] task_rq_lock+0x42/0x74
 [<ffffffff80048c22>] try_to_wake_up+0x27/0x464
 [<ffffffff800a575e>] lock_release_holdtime+0x27/0x48
 [<ffffffff800a575e>] lock_release_holdtime+0x27/0x48
 [<ffffffff800a575e>] lock_release_holdtime+0x27/0x48
 [<ffffffff8006707f>] __mutex_unlock_slowpath+0xf3/0x12b
 [<ffffffff8000d51d>] do_lookup+0xf0/0x1d6
 [<ffffffff8000a2e5>] __link_path_walk+0xa1d/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff80131498>] selinux_inode_follow_link+0x5f/0x6a
 [<ffffffff800448cc>] vfs_follow_link+0x171/0x1d0
 [<ffffffff801085c1>] proc_self_follow_link+0x35/0x3f
 [<ffffffff80009de6>] __link_path_walk+0x51e/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000bc5b>] touch_atime+0x67/0xaa
 [<ffffffff8000a5e5>] __link_path_walk+0xd1d/0xf62
 [<ffffffff8000d6b7>] file_read_actor+0x0/0x169
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000d2b2>] do_path_lookup+0x274/0x2eb
 [<ffffffff80024a44>] __path_lookup_intent_open+0x56/0x96
 [<ffffffff8001b9e1>] open_namei+0x73/0x6dd
 [<ffffffff80028979>] do_filp_open+0x1c/0x38
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8001a6b7>] do_sys_open+0x44/0xbe
 [<ffffffff80060116>] system_call+0x7e/0x83

APIC error on CPU19: 00(04)
APIC error on CPU11: 00(04)
Unable to handle kernel NULL pointer dereference at 0000000000000005 RIP: 
 [<0000000000000005>]
PGD 0 
Oops: 0000 [1] SMP 
last sysfs file: /class/cpuid/cpu6/dev
CPU 10 
Modules linked in: shpchp pcspkr ide_cd cdrom serio_raw dm_snapshot dm_zero dm_mirror dm_mod cciss sd_mod scsi_mod ext3 jbd uhci_hcd ohci_hcd ehci_hcd
Pid: 3791, comm: udev_run_devd Not tainted 2.6.18-98.el5debug #1
RIP: 0010:[<0000000000000005>]  [<0000000000000005>]
RSP: 0018:ffff8108483d3f90  EFLAGS: 00010002
RAX: ffff81202f5221c0 RBX: 00000000000000bf RCX: ffff81103002c158
RDX: 0000000000000ecf RSI: 00000000000000bf RDI: 00000000000000bf
RBP: ffff811448328d10 R08: 0000000000000020 R09: 0000000000000020
R10: ffff811448328f58 R11: 0000000000000000 R12: 0000000000000005
R13: 00000000ffffff03 R14: ffff81202f5221c0 R15: ffffffff8000d4bf
FS:  00002b431c7ea710(0000) GS:ffff810848381300(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000005 CR3: 0000000c2ecde000 CR4: 00000000000006e0
Process udev_run_devd (pid: 3791, threadinfo ffff81202f32a000, task ffff81202f5221c0)
Stack:  ffffffff800242c7 ffffffff80299df9 0000000000000096 ffff81103002c158
 ffffffff80060ccb ffff811448328d10 <EOI>  ffff811448328f58 0000000000000000
 ffff811448328f58 0000000000000020 0000000000000020 ffff81202f5221c0
Call Trace:
 <IRQ>  [<ffffffff800242c7>] smp_call_function_interrupt+0x66/0x84
 [<ffffffff80060ccb>] call_function_interrupt+0x6b/0x70
 <EOI>  <NMI>  [<ffffffff800797f3>] smp_send_stop+0x62/0x64
 [<ffffffff800797dc>] smp_send_stop+0x4b/0x64
 [<ffffffff80093bd3>] panic+0x94/0x1f0
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8006f644>] _show_stack+0xdb/0xea
 [<ffffffff8006f737>] show_registers+0xe4/0x100
 [<ffffffff800691bd>] die_nmi+0x66/0xbc
 [<ffffffff80069873>] nmi_watchdog_tick+0x107/0x1fb
 [<ffffffff8006940c>] default_do_nmi+0x86/0x214
 [<ffffffff800699c8>] do_nmi+0x61/0x94
 [<ffffffff80068d07>] nmi+0x7f/0x80
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8006738e>] .text.lock.mutex+0x36/0x4e
 <<EOE>>  [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8000a2e5>] __link_path_walk+0xa1d/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff80131498>] selinux_inode_follow_link+0x5f/0x6a
 [<ffffffff800448cc>] vfs_follow_link+0x171/0x1d0
 [<ffffffff801085c1>] proc_self_follow_link+0x35/0x3f
 [<ffffffff80009de6>] __link_path_walk+0x51e/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000bc5b>] touch_atime+0x67/0xaa
 [<ffffffff8000a5e5>] __link_path_walk+0xd1d/0xf62
 [<ffffffff8000d6b7>] file_read_actor+0x0/0x169
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000d2b2>] do_path_lookup+0x274/0x2eb
 [<ffffffff80024a44>] __path_lookup_intent_open+0x56/0x96
 [<ffffffff8001b9e1>] open_namei+0x73/0x6dd
 [<ffffffff80028979>] do_filp_open+0x1c/0x38
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8001a6b7>] do_sys_open+0x44/0xbe
 [<ffffffff80060116>] system_call+0x7e/0x83


Code:  Bad RIP value.
RIP  [<0000000000000005>]
 RSP <ffff8108483d3f90>
CR2: 0000000000000005
 <0>Kernel panic - not syncing: Fatal exception
 BUG: warning at kernel/panic.c:137/panic() (Not tainted)

Call Trace:
 <IRQ>  [<ffffffff80093d1e>] panic+0x1df/0x1f0
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff801a81b2>] do_unblank_screen+0x2c/0x143
 [<ffffffff80068eed>] oops_end+0x64/0x66
 [<ffffffff8006aac6>] do_page_fault+0x76b/0x835
 [<ffffffff80068885>] _spin_unlock_irq+0x24/0x27
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff80060e9d>] error_exit+0x0/0x96
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff800242c7>] smp_call_function_interrupt+0x66/0x84
 [<ffffffff80060ccb>] call_function_interrupt+0x6b/0x70
 <EOI>  <NMI>  [<ffffffff800797f3>] smp_send_stop+0x62/0x64
 [<ffffffff800797dc>] smp_send_stop+0x4b/0x64
 [<ffffffff80093bd3>] panic+0x94/0x1f0
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8006f644>] _show_stack+0xdb/0xea
 [<ffffffff8006f737>] show_registers+0xe4/0x100
 [<ffffffff800691bd>] die_nmi+0x66/0xbc
 [<ffffffff80069873>] nmi_watchdog_tick+0x107/0x1fb
 [<ffffffff8006940c>] default_do_nmi+0x86/0x214
 [<ffffffff800699c8>] do_nmi+0x61/0x94
 [<ffffffff80068d07>] nmi+0x7f/0x80
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8006738e>] .text.lock.mutex+0x36/0x4e
 <<EOE>>  [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8000a2e5>] __link_path_walk+0xa1d/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff80131498>] selinux_inode_follow_link+0x5f/0x6a
 [<ffffffff800448cc>] vfs_follow_link+0x171/0x1d0
 [<ffffffff801085c1>] proc_self_follow_link+0x35/0x3f
 [<ffffffff80009de6>] __link_path_walk+0x51e/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000bc5b>] touch_atime+0x67/0xaa
 [<ffffffff8000a5e5>] __link_path_walk+0xd1d/0xf62
 [<ffffffff8000d6b7>] file_read_actor+0x0/0x169
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000d2b2>] do_path_lookup+0x274/0x2eb
 [<ffffffff80024a44>] __path_lookup_intent_open+0x56/0x96
 [<ffffffff8001b9e1>] open_namei+0x73/0x6dd
 [<ffffffff80028979>] do_filp_open+0x1c/0x38
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8001a6b7>] do_sys_open+0x44/0xbe
 [<ffffffff80060116>] system_call+0x7e/0x83

BUG: warning at drivers/input/serio/i8042.c:846/i8042_panic_blink() (Not tainted)

Call Trace:
 <IRQ>  [<ffffffff80201916>] i8042_panic_blink+0x112/0x2a5
 [<ffffffff80093cc4>] panic+0x185/0x1f0
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff801a81b2>] do_unblank_screen+0x2c/0x143
 [<ffffffff80068eed>] oops_end+0x64/0x66
 [<ffffffff8006aac6>] do_page_fault+0x76b/0x835
 [<ffffffff80068885>] _spin_unlock_irq+0x24/0x27
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff80060e9d>] error_exit+0x0/0x96
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff800242c7>] smp_call_function_interrupt+0x66/0x84
 [<ffffffff80060ccb>] call_function_interrupt+0x6b/0x70
 <EOI>  <NMI>  [<ffffffff800797f3>] smp_send_stop+0x62/0x64
 [<ffffffff800797dc>] smp_send_stop+0x4b/0x64
 [<ffffffff80093bd3>] panic+0x94/0x1f0
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8006f644>] _show_stack+0xdb/0xea
 [<ffffffff8006f737>] show_registers+0xe4/0x100
 [<ffffffff800691bd>] die_nmi+0x66/0xbc
 [<ffffffff80069873>] nmi_watchdog_tick+0x107/0x1fb
 [<ffffffff8006940c>] default_do_nmi+0x86/0x214
 [<ffffffff800699c8>] do_nmi+0x61/0x94
 [<ffffffff80068d07>] nmi+0x7f/0x80
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8006738e>] .text.lock.mutex+0x36/0x4e
 <<EOE>>  [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8000a2e5>] __link_path_walk+0xa1d/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff80131498>] selinux_inode_follow_link+0x5f/0x6a
 [<ffffffff800448cc>] vfs_follow_link+0x171/0x1d0
 [<ffffffff801085c1>] proc_self_follow_link+0x35/0x3f
 [<ffffffff80009de6>] __link_path_walk+0x51e/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000bc5b>] touch_atime+0x67/0xaa
 [<ffffffff8000a5e5>] __link_path_walk+0xd1d/0xf62
 [<ffffffff8000d6b7>] file_read_actor+0x0/0x169
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000d2b2>] do_path_lookup+0x274/0x2eb
 [<ffffffff80024a44>] __path_lookup_intent_open+0x56/0x96
 [<ffffffff8001b9e1>] open_namei+0x73/0x6dd
 [<ffffffff80028979>] do_filp_open+0x1c/0x38
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8001a6b7>] do_sys_open+0x44/0xbe
 [<ffffffff80060116>] system_call+0x7e/0x83

BUG: warning at drivers/input/serio/i8042.c:849/i8042_panic_blink() (Not tainted)

Call Trace:
 <IRQ>  [<ffffffff802019ff>] i8042_panic_blink+0x1fb/0x2a5
 [<ffffffff80093cc4>] panic+0x185/0x1f0
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff801a81b2>] do_unblank_screen+0x2c/0x143
 [<ffffffff80068eed>] oops_end+0x64/0x66
 [<ffffffff8006aac6>] do_page_fault+0x76b/0x835
 [<ffffffff80068885>] _spin_unlock_irq+0x24/0x27
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff80060e9d>] error_exit+0x0/0x96
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff800242c7>] smp_call_function_interrupt+0x66/0x84
 [<ffffffff80060ccb>] call_function_interrupt+0x6b/0x70
 <EOI>  <NMI>  [<ffffffff800797f3>] smp_send_stop+0x62/0x64
 [<ffffffff800797dc>] smp_send_stop+0x4b/0x64
 [<ffffffff80093bd3>] panic+0x94/0x1f0
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8006f644>] _show_stack+0xdb/0xea
 [<ffffffff8006f737>] show_registers+0xe4/0x100
 [<ffffffff800691bd>] die_nmi+0x66/0xbc
 [<ffffffff80069873>] nmi_watchdog_tick+0x107/0x1fb
 [<ffffffff8006940c>] default_do_nmi+0x86/0x214
 [<ffffffff800699c8>] do_nmi+0x61/0x94
 [<ffffffff80068d07>] nmi+0x7f/0x80
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8006738e>] .text.lock.mutex+0x36/0x4e
 <<EOE>>  [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8000a2e5>] __link_path_walk+0xa1d/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff80131498>] selinux_inode_follow_link+0x5f/0x6a
 [<ffffffff800448cc>] vfs_follow_link+0x171/0x1d0
 [<ffffffff801085c1>] proc_self_follow_link+0x35/0x3f
 [<ffffffff80009de6>] __link_path_walk+0x51e/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000bc5b>] touch_atime+0x67/0xaa
 [<ffffffff8000a5e5>] __link_path_walk+0xd1d/0xf62
 [<ffffffff8000d6b7>] file_read_actor+0x0/0x169
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000d2b2>] do_path_lookup+0x274/0x2eb
 [<ffffffff80024a44>] __path_lookup_intent_open+0x56/0x96
 [<ffffffff8001b9e1>] open_namei+0x73/0x6dd
 [<ffffffff80028979>] do_filp_open+0x1c/0x38
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8001a6b7>] do_sys_open+0x44/0xbe
 [<ffffffff80060116>] system_call+0x7e/0x83

BUG: warning at drivers/input/serio/i8042.c:851/i8042_panic_blink() (Not tainted)

Call Trace:
 <IRQ>  [<ffffffff80201a7c>] i8042_panic_blink+0x278/0x2a5
 [<ffffffff80093cc4>] panic+0x185/0x1f0
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff801a81b2>] do_unblank_screen+0x2c/0x143
 [<ffffffff80068eed>] oops_end+0x64/0x66
 [<ffffffff8006aac6>] do_page_fault+0x76b/0x835
 [<ffffffff80068885>] _spin_unlock_irq+0x24/0x27
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff80060e9d>] error_exit+0x0/0x96
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff800242c7>] smp_call_function_interrupt+0x66/0x84
 [<ffffffff80060ccb>] call_function_interrupt+0x6b/0x70
 <EOI>  <NMI>  [<ffffffff800797f3>] smp_send_stop+0x62/0x64
 [<ffffffff800797dc>] smp_send_stop+0x4b/0x64
 [<ffffffff80093bd3>] panic+0x94/0x1f0
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8001786a>] release_console_sem+0x43/0x228
 [<ffffffff8006f644>] _show_stack+0xdb/0xea
 [<ffffffff8006f737>] show_registers+0xe4/0x100
 [<ffffffff800691bd>] die_nmi+0x66/0xbc
 [<ffffffff80069873>] nmi_watchdog_tick+0x107/0x1fb
 [<ffffffff8006940c>] default_do_nmi+0x86/0x214
 [<ffffffff800699c8>] do_nmi+0x61/0x94
 [<ffffffff80068d07>] nmi+0x7f/0x80
 [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8006738e>] .text.lock.mutex+0x36/0x4e
 <<EOE>>  [<ffffffff8000d4bf>] do_lookup+0x92/0x1d6
 [<ffffffff8000a2e5>] __link_path_walk+0xa1d/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff80131498>] selinux_inode_follow_link+0x5f/0x6a
 [<ffffffff800448cc>] vfs_follow_link+0x171/0x1d0
 [<ffffffff801085c1>] proc_self_follow_link+0x35/0x3f
 [<ffffffff80009de6>] __link_path_walk+0x51e/0xf62
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000bc5b>] touch_atime+0x67/0xaa
 [<ffffffff8000a5e5>] __link_path_walk+0xd1d/0xf62
 [<ffffffff8000d6b7>] file_read_actor+0x0/0x169
 [<ffffffff8000f170>] link_path_walk+0x5c/0xe5
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8000d2b2>] do_path_lookup+0x274/0x2eb
 [<ffffffff80024a44>] __path_lookup_intent_open+0x56/0x96
 [<ffffffff8001b9e1>] open_namei+0x73/0x6dd
 [<ffffffff80028979>] do_filp_open+0x1c/0x38
 [<ffffffff800683ef>] _spin_unlock+0x17/0x20
 [<ffffffff8001675a>] get_unused_fd+0xf9/0x107
 [<ffffffff8001a6b7>] do_sys_open+0x44/0xbe
 [<ffffffff80060116>] system_call+0x7e/0x83


Version-Release number of selected component (if applicable):
kernel-2.6.18-92.el5 and kernel-2.6.18-98.el5

How reproducible:
always

Steps to Reproduce:
1. boot kernel-debug
Comment 6 Doug Chapman 2008-11-13 10:50:23 EST
This might be a firmware issue, I am in the process of trying to get firmware updated on this for BZ 463144 also.
Comment 7 Doug Chapman 2008-11-14 18:45:22 EST
It appears the firmware update did not resolve this.  I tried booting vmlinuz-2.6.18-92.el5debug and hit the same lockup issue.
Comment 8 Aristeu Rozanski 2008-11-26 10:42:54 EST
-124debug boots, but now the lockdep hits a bug on infinite recursion.
I'll attach the dmesg here.
Comment 9 Aristeu Rozanski 2008-11-26 10:44:10 EST
Created attachment 324740 [details]
dmesg output with the lockdep bug
Comment 10 CAI Qian 2009-05-01 12:16:06 EDT
Hi Aristeu, do you have any update?
Comment 11 Aristeu Rozanski 2009-05-02 19:59:22 EDT
No, I'll check if the problem still exists
Comment 12 Aristeu Rozanski 2009-05-04 16:46:36 EDT
According to peterz, these commit ids are relevant to this problem:
419ca3f13532793b81aff09f80c60af3eacbb43d
d5e710e37bde120bb069f691bee68e69ef4393173
1b12bbc747560ea68bcc132c3d05699e52271da0
cf7f8690e864c6fe11e77202dd847fa60f483418
Comment 13 Linda Wang 2009-05-04 16:52:46 EDT
d5e710e37bde120bb069f691bee68e69ef4393173
^ commit id without the 'd'
Comment 14 Linda Wang 2009-05-12 13:31:21 EDT
patch posted on rhkernel-list on May 12th, 12:06PM
Comment 15 RHEL Product and Program Management 2009-05-12 13:39:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 16 Don Zickus 2009-05-14 15:34:22 EDT
in kernel-2.6.18-148.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 18 Don Zickus 2009-05-19 17:31:09 EDT
Moving back to POST to pickup some fixes
Comment 19 Don Zickus 2009-05-21 11:36:10 EDT
in kernel-2.6.18-150.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 23 errata-xmlrpc 2009-09-02 04:39:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.